Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.handler.codec.http
Class HttpContentDecompressor

    java.lang.Object
      org.jboss.netty.channel.SimpleChannelUpstreamHandler
          org.jboss.netty.handler.codec.http.HttpContentDecoder
              org.jboss.netty.handler.codec.http.HttpContentDecompressor

All Implemented Interfaces:
  ChannelHandler, ChannelUpstreamHandler

    public class HttpContentDecompressor

extends HttpContentDecoder

Decompresses an `HttpMessage` and an `HttpChunk` compressed in `gzip` or `deflate` encoding. For more information on how this handler modifies the message, please refer to `HttpContentDecoder`.

Version:
  $Rev: 2121 $, $Date: 2010-02-02 09:38:07 +0900 (Tue, 02 Feb 2010) $
Author:
  The Netty Project, Trustin Lee

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler
`ChannelHandler.Sharable`

Constructor Summary
`HttpContentDecompressor()`

Method Summary
`protected DecoderEmbedder<ChannelBuffer>` | `newContentDecoder(String contentEncoding)` Returns a new `DecoderEmbedder` that decodes the HTTP message content encoded in the specified `contentEncoding`.

Methods inherited from class org.jboss.netty.handler.codec.http.HttpContentDecoder
`getTargetContentEncoding, messageReceived`

Methods inherited from class org.jboss.netty.channel.SimpleChannelUpstreamHandler
`channelBound, channelClosed, channelConnected, channelDisconnected, channelInterestChanged, channelOpen, channelUnbound, childChannelClosed, childChannelOpen, exceptionCaught, handleUpstream, writeComplete`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpContentDecompressor

    public HttpContentDecompressor()

Method Detail

### newContentDecoder

    protected DecoderEmbedder<ChannelBuffer> newContentDecoder(String contentEncoding)
                                                        throws Exception

  Description copied from class: `HttpContentDecoder`
  Returns a new `DecoderEmbedder` that decodes the HTTP message content encoded in the specified `contentEncoding`.

  Specified by:
    `newContentDecoder` in class `HttpContentDecoder`
  Parameters:
    `contentEncoding` - the value of the `"Content-Encoding"` header
  Returns:
    a new `DecoderEmbedder` if the specified encoding is supported. `null` otherwise (alternatively, you can throw an exception to block unknown encoding).
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.